Skip to main content

Creates a new Service Group and its default queue

POST 

/qsystem/rest/config/operationProfiles/:operationProfileId/serviceGroups

Creates a new Service Group and its default queue. Values left out in the "defaultQueue" field will be generated. In the example below queue letter, ticket range and service level will be generated automatically. It is not possible to set anything other than "QUEUE" as the type for the default queue.

Create a service group without segmentation rule

curl -u user:password -i -X POST -H 'content-type:application/json' -d '{"services": [1],
"defaultQueue": {"name": "Default Queue"}}' http://orchestra-host:orchestra-port/qsystem/rest/config/operationProfiles/{operationProfileId}/serviceGroups

Create a service group with a segmentation rule

curl -u user:password -i -X PUT -H 'content-type:application/json' -d '{"services": [1, 2],
"defaultQueue": {"name": "Default Queue","queueLetters": "A","start": 100,"end": 299,"serviceLevel": 5,"type": "QUEUE"},
"segmentationRules": [{"name": "Appointment","ruleConditions": [{"ruleConditionTemplateId": 8,"values": "{}"}],
"queue": {"name": "Appointment Queue","queueLetters": "B","start": 100,"end": 299,"serviceLevel": 5,"type": "APPOINTMENT_QUEUE"}}]}'
http://orchestra-host:orchestra-port/qsystem/rest/config/operationProfiles/{operationProfileId}/serviceGroups/{serviceGroupId}

Omitting queue letter field is allowed only if start and end is also omitted, and the resulting queue will use an available sequence for some queue letter. Specifying a queue letter and omitting start and end creates a service group and a queue that uses an available sequence for the specified queue letter, or another letter if need be. Specifying a queue letter and start and end creates a service group and a queue with the specified letter and sequence if available. Specifying a empty string as queue letter creates a queue that lack queue letter.

Request​

Responses​

A ServiceGroup